DtPrintResetConnection(library call)

NAME
DtPrintResetConnection — resets the print display connection managed by a DtPrintSetupBox

SYNOPSIS

#include &<Print.h>
XtEnum DtPrintResetConnection(
Widget wid,
DtPrintResetConnectionMode mode);

DESCRIPTION

The DtPrintResetConnection function is a convenience function provided by the DtPrintSetupBox widget that allows applications to direct the widget to stop managing the X print server connection. A mode parameter is included in order to direct the widget to close the print connection by calling XpDestroyPrintContext and XCloseDisplay or to simply relinquish control of the connection without closing it.

DtPrintResetConnection is intended to be used by applications that fork a child process to perform the print rendering operation. Immediately after the fork is performed, the parent process will close its X print server connection, and retain its connection to the video X server. The forked child on the other hand will close its video X server connection and perform the rendering operation on the X print server connection.

ARGUMENTS

wid The DtPrintSetupBox widget ID.

mode
    Indicates whether DtPrintResetConnection should close the X print server connection, or simply cause the DtPrintSetupBox to cease managing the connection.

    Valid values are:

    DtPRINT_CLOSE_CONNECTION
        Set by the parent process when the application forks a child to perform the print rendering. This will cause the DtNclosePrintDisplayCallback list set for the passed DtPrintSetupBox to be called.

    DtPRINT_RELEASE_CONNECTION
        Set when the application wishes to destroy the DtPrintSetupBox widget instance and still perform print rendering using the X print server connection initiated by the widget. For example, the child process of an application that forks to perform print rendering will close the video display connection (thereby destroying the DtPrintSetupBox widget) prior to print rendering. No DtPrintSetupBox callbacks will be called as a result of this operation.

RETURN VALUE

DtPRINT_SUCCESS
    DtPrintResetConnection was successful.

DtPRINT_NO_CONNECTION
    An open X print server connection is not currently being managed by the DtPrintSetupBox.

DtPRINT_BAD_PARM
    The value passed for wid is NULL, or an invalid mode was passed.

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ACTIONS/MESSAGES

None.

ERRORS/WARNINGS

None.

EXAMPLES

None.

FILES

None.

SEE ALSO

DtPrintSetupBox(3)